QuantLib: FDStepConditionEngine< Scheme > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FDStepConditionEngine< Scheme > Class Template Referenceabstract
Pricing engines » Vanilla option engines

Finite-differences pricing engine for American-style vanilla options. More...

`#include <ql/pricingengines/vanilla/fdstepconditionengine.hpp>`

Inheritance diagram for FDStepConditionEngine< Scheme >:
[legend]

## Public Member Functions
| FDStepConditionEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size gridPoints, bool timeDependent=false)
Public Member Functions inherited from FDVanillaEngine
| FDVanillaEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size gridPoints, bool timeDependent=false)
const Array & | grid () const

## Protected Member Functions
virtual void | initializeStepCondition () const =0
virtual void | calculate (PricingEngine::results *) const
Protected Member Functions inherited from FDVanillaEngine
virtual void | setupArguments (const PricingEngine::arguments *) const
virtual void | setGridLimits () const
virtual void | setGridLimits (Real, Time) const
virtual void | initializeInitialCondition () const
virtual void | initializeBoundaryConditions () const
virtual void | initializeOperator () const
virtual Time | getResidualTime () const
void | ensureStrikeInGrid () const

## Protected Attributes
ext::shared_ptr< StandardStepCondition > | stepCondition_
SampledCurve | prices_
TridiagonalOperator | controlOperator_
std::vector< ext::shared_ptr< bc_type > > | controlBCs_
SampledCurve | controlPrices_
Protected Attributes inherited from FDVanillaEngine
ext::shared_ptr< GeneralizedBlackScholesProcess > | process_
Size | timeSteps_
Size | gridPoints_
bool | timeDependent_
Date | exerciseDate_
ext::shared_ptr< Payoff > | payoff_
TridiagonalOperator | finiteDifferenceOperator_
SampledCurve | intrinsicValues_
std::vector< ext::shared_ptr< bc_type > > | BCs_
Real | sMin_
Real | center_
Real | sMax_

## Additional Inherited Members
Protected Types inherited from FDVanillaEngine
typedef BoundaryCondition< TridiagonalOperator > | bc_type

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDStepConditionEngine< Scheme >

Finite-differences pricing engine for American-style vanilla options.